QGIS Application - Feature request #9810
[GDAL][NetCDF] Generate band name with NetCDF EXTRA_DIM
2014-03-18 08:50 AM - René-Luc RelLuc

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Pull Request or Patch stupplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 18346
Description

The NetCDF provided extra dimensional information. This information provides metadata on each band. These metadat can be used to
explain the name of each band.

For example, the bands of a NetCDF file represents the temperature at a given depth. For the user, it is easier to select a band with depth
information, rather than the number.

History

#1 - 2014-03-18 08:57 AM - René-Luc ReLuc
- Pull Request or Patch supplied changed from No to Yes

Pull request opened https://github.com/qgis/QGIS/pull/1253

#2 - 2014-03-18 06:38 PM - Etienne Tourigny
- File tmp-2d.nc added
- File tmp-3d.nc added
- File tmp-4d.nc added
- File tmp-5d.nc added

Please see my changes which make output much easier to read with files that have multiple dimensions. Attaching files with 2/3/4/5 dimensions.

https://github.com/etiennesky/Quantum-GlIS/tree/ridhont-netcdf _generateBandName

#3 - 2014-03-19 01:23 AM - René-Luc ReLuc

Hi,

Thanks for your contribution.

Now that my pull-request has been closed, will you open one ?
Do you now who can review and merge this code ?

Regards

#4 - 2014-03-26 03:37 AM - René-Luc ReLuc
https://github.com/qgis/QGIS/pull/1253
https://github.com/etiennesky/Quantum-GIS/tree/rldhont-netcdf_generateBandName

Hi Etienne,

Can you open a pull request and require a review ?

#5 - 2014-03-26 09:37 AM - Etienne Tourigny

Sorry for not responding your previous message, | didn't see it. | added the pull request from my branch. If you want | can add you as contributor to make

any changes.

https://github.com/qgis/QGIS/pull/1269

#6 - 2014-03-26 09:40 AM - René-Luc ReLuc
- Status changed from Open to In Progress

Thanks.

| received your pull request and | have been added as contributors.

#7 - 2014-03-26 09:53 AM - Etienne Tourigny

| guess | should have requested to be a contributor to your branch though, would have been simpler. Don't forget to run scripts/prepare-commit.sh before

committing any changes.

#8 - 2014-06-28 07:45 AM - Jiirgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#9 - 2014-06-30 12:19 AM - René-Luc ReLuc
- Resolution set to fixed/implemented
- Status changed from In Progress to Closed

Implemented and merged with the pull request https:/github.com/qgis/QGIS/pull/1269

This feature is in Version 2.4

Files

tmp-2d.nc 7.25 KB 2014-03-18 Etienne Tourigny
tmp-3d.nc 14.7 KB 2014-03-18 Etienne Tourigny
tmp-4d.nc 20.8 KB 2014-03-18 Etienne Tourigny
tmp-5d.nc 21.3KB 2014-03-18 Etienne Tourigny
